/* BlinkenLightsInteractiveMovieProgram
 * Copyright (C) 2019: Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a blinkenarea.org project
 */

package org.blinkenarea.Blimp;

import org.blinkenarea.BlinkenLib.*;

public class FrameTemplateChaosknoten extends FrameTemplatePixelLists
{
  public FrameTemplateChaosknoten( )
  {
    // format: 66x51-3/256
    super( 51, 66, 3, 255 );

    // dark blue background
    byte def[] = new byte [3];
    def[0] = (byte)0;
    def[1] = (byte)0;
    def[2] = (byte)128;
    setDefColor( def );

    // fixed pixels
    FixedPixel fixed[] = new FixedPixel [126];
    fixed[0] = new FixedPixel( 6, 12, 2, (byte)0 );
    fixed[1] = new FixedPixel( 6, 11, 2, (byte)0 );
    fixed[2] = new FixedPixel( 6, 13, 2, (byte)0 );
    fixed[3] = new FixedPixel( 6, 18, 2, (byte)0 );
    fixed[4] = new FixedPixel( 6, 17, 2, (byte)0 );
    fixed[5] = new FixedPixel( 6, 19, 2, (byte)0 );
    fixed[6] = new FixedPixel( 6, 24, 2, (byte)0 );
    fixed[7] = new FixedPixel( 6, 23, 2, (byte)0 );
    fixed[8] = new FixedPixel( 6, 25, 2, (byte)0 );
    fixed[9] = new FixedPixel( 7, 6, 2, (byte)0 );
    fixed[10] = new FixedPixel( 8, 5, 2, (byte)0 );
    fixed[11] = new FixedPixel( 6, 7, 2, (byte)0 );
    fixed[12] = new FixedPixel( 7, 30, 2, (byte)0 );
    fixed[13] = new FixedPixel( 6, 29, 2, (byte)0 );
    fixed[14] = new FixedPixel( 8, 31, 2, (byte)0 );
    fixed[15] = new FixedPixel( 10, 17, 2, (byte)0 );
    fixed[16] = new FixedPixel( 9, 16, 2, (byte)0 );
    fixed[17] = new FixedPixel( 11, 18, 2, (byte)0 );
    fixed[18] = new FixedPixel( 10, 24, 2, (byte)0 );
    fixed[19] = new FixedPixel( 9, 23, 2, (byte)0 );
    fixed[20] = new FixedPixel( 11, 25, 2, (byte)0 );
    fixed[21] = new FixedPixel( 13, 5, 2, (byte)0 );
    fixed[22] = new FixedPixel( 12, 5, 2, (byte)0 );
    fixed[23] = new FixedPixel( 14, 5, 2, (byte)0 );
    fixed[24] = new FixedPixel( 14, 21, 2, (byte)0 );
    fixed[25] = new FixedPixel( 14, 20, 2, (byte)0 );
    fixed[26] = new FixedPixel( 14, 22, 2, (byte)0 );
    fixed[27] = new FixedPixel( 14, 27, 2, (byte)0 );
    fixed[28] = new FixedPixel( 14, 26, 2, (byte)0 );
    fixed[29] = new FixedPixel( 14, 28, 2, (byte)0 );
    fixed[30] = new FixedPixel( 14, 33, 2, (byte)0 );
    fixed[31] = new FixedPixel( 14, 32, 2, (byte)0 );
    fixed[32] = new FixedPixel( 14, 34, 2, (byte)0 );
    fixed[33] = new FixedPixel( 14, 39, 2, (byte)0 );
    fixed[34] = new FixedPixel( 14, 38, 2, (byte)0 );
    fixed[35] = new FixedPixel( 14, 40, 2, (byte)0 );
    fixed[36] = new FixedPixel( 14, 47, 2, (byte)0 );
    fixed[37] = new FixedPixel( 13, 46, 2, (byte)0 );
    fixed[38] = new FixedPixel( 15, 48, 2, (byte)0 );
    fixed[39] = new FixedPixel( 14, 51, 2, (byte)0 );
    fixed[40] = new FixedPixel( 13, 50, 2, (byte)0 );
    fixed[41] = new FixedPixel( 15, 52, 2, (byte)0 );
    fixed[42] = new FixedPixel( 15, 44, 2, (byte)0 );
    fixed[43] = new FixedPixel( 14, 43, 2, (byte)0 );
    fixed[44] = new FixedPixel( 16, 45, 2, (byte)0 );
    fixed[45] = new FixedPixel( 18, 21, 2, (byte)0 );
    fixed[46] = new FixedPixel( 18, 20, 2, (byte)0 );
    fixed[47] = new FixedPixel( 18, 22, 2, (byte)0 );
    fixed[48] = new FixedPixel( 18, 27, 2, (byte)0 );
    fixed[49] = new FixedPixel( 18, 26, 2, (byte)0 );
    fixed[50] = new FixedPixel( 18, 28, 2, (byte)0 );
    fixed[51] = new FixedPixel( 18, 33, 2, (byte)0 );
    fixed[52] = new FixedPixel( 18, 32, 2, (byte)0 );
    fixed[53] = new FixedPixel( 18, 34, 2, (byte)0 );
    fixed[54] = new FixedPixel( 18, 39, 2, (byte)0 );
    fixed[55] = new FixedPixel( 18, 38, 2, (byte)0 );
    fixed[56] = new FixedPixel( 18, 40, 2, (byte)0 );
    fixed[57] = new FixedPixel( 19, 5, 2, (byte)0 );
    fixed[58] = new FixedPixel( 18, 5, 2, (byte)0 );
    fixed[59] = new FixedPixel( 20, 5, 2, (byte)0 );
    fixed[60] = new FixedPixel( 19, 45, 2, (byte)0 );
    fixed[61] = new FixedPixel( 19, 44, 2, (byte)0 );
    fixed[62] = new FixedPixel( 19, 46, 2, (byte)0 );
    fixed[63] = new FixedPixel( 19, 50, 2, (byte)0 );
    fixed[64] = new FixedPixel( 20, 49, 2, (byte)0 );
    fixed[65] = new FixedPixel( 18, 51, 2, (byte)0 );
    fixed[66] = new FixedPixel( 20, 53, 2, (byte)0 );
    fixed[67] = new FixedPixel( 21, 52, 2, (byte)0 );
    fixed[68] = new FixedPixel( 19, 54, 2, (byte)0 );
    fixed[69] = new FixedPixel( 22, 17, 2, (byte)0 );
    fixed[70] = new FixedPixel( 23, 16, 2, (byte)0 );
    fixed[71] = new FixedPixel( 21, 18, 2, (byte)0 );
    fixed[72] = new FixedPixel( 22, 24, 2, (byte)0 );
    fixed[73] = new FixedPixel( 23, 23, 2, (byte)0 );
    fixed[74] = new FixedPixel( 21, 25, 2, (byte)0 );
    fixed[75] = new FixedPixel( 22, 45, 2, (byte)0 );
    fixed[76] = new FixedPixel( 22, 44, 2, (byte)0 );
    fixed[77] = new FixedPixel( 22, 46, 2, (byte)0 );
    fixed[78] = new FixedPixel( 23, 54, 2, (byte)0 );
    fixed[79] = new FixedPixel( 24, 53, 2, (byte)0 );
    fixed[80] = new FixedPixel( 22, 55, 2, (byte)0 );
    fixed[81] = new FixedPixel( 24, 49, 2, (byte)0 );
    fixed[82] = new FixedPixel( 25, 48, 2, (byte)0 );
    fixed[83] = new FixedPixel( 23, 50, 2, (byte)0 );
    fixed[84] = new FixedPixel( 25, 6, 2, (byte)0 );
    fixed[85] = new FixedPixel( 24, 5, 2, (byte)0 );
    fixed[86] = new FixedPixel( 26, 7, 2, (byte)0 );
    fixed[87] = new FixedPixel( 25, 30, 2, (byte)0 );
    fixed[88] = new FixedPixel( 26, 29, 2, (byte)0 );
    fixed[89] = new FixedPixel( 24, 31, 2, (byte)0 );
    fixed[90] = new FixedPixel( 26, 12, 2, (byte)0 );
    fixed[91] = new FixedPixel( 26, 11, 2, (byte)0 );
    fixed[92] = new FixedPixel( 26, 13, 2, (byte)0 );
    fixed[93] = new FixedPixel( 26, 18, 2, (byte)0 );
    fixed[94] = new FixedPixel( 26, 17, 2, (byte)0 );
    fixed[95] = new FixedPixel( 26, 19, 2, (byte)0 );
    fixed[96] = new FixedPixel( 26, 24, 2, (byte)0 );
    fixed[97] = new FixedPixel( 26, 23, 2, (byte)0 );
    fixed[98] = new FixedPixel( 26, 25, 2, (byte)0 );
    fixed[99] = new FixedPixel( 27, 50, 2, (byte)0 );
    fixed[100] = new FixedPixel( 28, 49, 2, (byte)0 );
    fixed[101] = new FixedPixel( 26, 51, 2, (byte)0 );
    fixed[102] = new FixedPixel( 29, 54, 2, (byte)0 );
    fixed[103] = new FixedPixel( 28, 53, 2, (byte)0 );
    fixed[104] = new FixedPixel( 30, 55, 2, (byte)0 );
    fixed[105] = new FixedPixel( 31, 60, 2, (byte)0 );
    fixed[106] = new FixedPixel( 31, 59, 2, (byte)0 );
    fixed[107] = new FixedPixel( 31, 61, 2, (byte)0 );
    fixed[108] = new FixedPixel( 32, 51, 2, (byte)0 );
    fixed[109] = new FixedPixel( 31, 51, 2, (byte)0 );
    fixed[110] = new FixedPixel( 33, 51, 2, (byte)0 );
    fixed[111] = new FixedPixel( 33, 47, 2, (byte)0 );
    fixed[112] = new FixedPixel( 34, 46, 2, (byte)0 );
    fixed[113] = new FixedPixel( 32, 48, 2, (byte)0 );
    fixed[114] = new FixedPixel( 35, 55, 2, (byte)0 );
    fixed[115] = new FixedPixel( 34, 55, 2, (byte)0 );
    fixed[116] = new FixedPixel( 36, 55, 2, (byte)0 );
    fixed[117] = new FixedPixel( 38, 51, 2, (byte)0 );
    fixed[118] = new FixedPixel( 37, 51, 2, (byte)0 );
    fixed[119] = new FixedPixel( 39, 51, 2, (byte)0 );
    fixed[120] = new FixedPixel( 39, 46, 2, (byte)0 );
    fixed[121] = new FixedPixel( 39, 45, 2, (byte)0 );
    fixed[122] = new FixedPixel( 39, 47, 2, (byte)0 );
    fixed[123] = new FixedPixel( 44, 52, 2, (byte)0 );
    fixed[124] = new FixedPixel( 43, 51, 2, (byte)0 );
    fixed[125] = new FixedPixel( 45, 53, 2, (byte)0 );
    setFixed( fixed );

    // content pixels
    ContentPixel content[] = new ContentPixel [42];
    content[0] = new ContentPixel( 6, 12, 1 );
    content[1] = new ContentPixel( 6, 18, 1 );
    content[2] = new ContentPixel( 6, 24, 1 );
    content[3] = new ContentPixel( 7, 6, 1 );
    content[4] = new ContentPixel( 7, 30, 1 );
    content[5] = new ContentPixel( 10, 17, 1 );
    content[6] = new ContentPixel( 10, 24, 1 );
    content[7] = new ContentPixel( 13, 5, 1 );
    content[8] = new ContentPixel( 14, 21, 1 );
    content[9] = new ContentPixel( 14, 27, 1 );
    content[10] = new ContentPixel( 14, 33, 1 );
    content[11] = new ContentPixel( 14, 39, 1 );
    content[12] = new ContentPixel( 14, 47, 1 );
    content[13] = new ContentPixel( 14, 51, 1 );
    content[14] = new ContentPixel( 15, 44, 1 );
    content[15] = new ContentPixel( 18, 21, 1 );
    content[16] = new ContentPixel( 18, 27, 1 );
    content[17] = new ContentPixel( 18, 33, 1 );
    content[18] = new ContentPixel( 18, 39, 1 );
    content[19] = new ContentPixel( 19, 5, 1 );
    content[20] = new ContentPixel( 19, 45, 1 );
    content[21] = new ContentPixel( 19, 50, 1 );
    content[22] = new ContentPixel( 20, 53, 1 );
    content[23] = new ContentPixel( 22, 17, 1 );
    content[24] = new ContentPixel( 22, 24, 1 );
    content[25] = new ContentPixel( 22, 45, 1 );
    content[26] = new ContentPixel( 23, 54, 1 );
    content[27] = new ContentPixel( 24, 49, 1 );
    content[28] = new ContentPixel( 25, 6, 1 );
    content[29] = new ContentPixel( 25, 30, 1 );
    content[30] = new ContentPixel( 26, 12, 1 );
    content[31] = new ContentPixel( 26, 18, 1 );
    content[32] = new ContentPixel( 26, 24, 1 );
    content[33] = new ContentPixel( 27, 50, 1 );
    content[34] = new ContentPixel( 29, 54, 1 );
    content[35] = new ContentPixel( 31, 60, 1 );
    content[36] = new ContentPixel( 32, 51, 1 );
    content[37] = new ContentPixel( 33, 47, 1 );
    content[38] = new ContentPixel( 35, 55, 1 );
    content[39] = new ContentPixel( 38, 51, 1 );
    content[40] = new ContentPixel( 39, 46, 1 );
    content[41] = new ContentPixel( 44, 52, 1 );
    setContent( content );

    // copy pixels
    CopyPixel copies[] = new CopyPixel [210];
    copies[0] = new CopyPixel( 6, 12, 0, 0 );
    copies[1] = new CopyPixel( 6, 11, 0, 0 );
    copies[2] = new CopyPixel( 6, 11, 1, 0 );
    copies[3] = new CopyPixel( 6, 13, 0, 0 );
    copies[4] = new CopyPixel( 6, 13, 1, 0 );
    copies[5] = new CopyPixel( 6, 18, 0, 1 );
    copies[6] = new CopyPixel( 6, 17, 0, 1 );
    copies[7] = new CopyPixel( 6, 17, 1, 1 );
    copies[8] = new CopyPixel( 6, 19, 0, 1 );
    copies[9] = new CopyPixel( 6, 19, 1, 1 );
    copies[10] = new CopyPixel( 6, 24, 0, 2 );
    copies[11] = new CopyPixel( 6, 23, 0, 2 );
    copies[12] = new CopyPixel( 6, 23, 1, 2 );
    copies[13] = new CopyPixel( 6, 25, 0, 2 );
    copies[14] = new CopyPixel( 6, 25, 1, 2 );
    copies[15] = new CopyPixel( 7, 6, 0, 3 );
    copies[16] = new CopyPixel( 8, 5, 0, 3 );
    copies[17] = new CopyPixel( 8, 5, 1, 3 );
    copies[18] = new CopyPixel( 6, 7, 0, 3 );
    copies[19] = new CopyPixel( 6, 7, 1, 3 );
    copies[20] = new CopyPixel( 7, 30, 0, 4 );
    copies[21] = new CopyPixel( 6, 29, 0, 4 );
    copies[22] = new CopyPixel( 6, 29, 1, 4 );
    copies[23] = new CopyPixel( 8, 31, 0, 4 );
    copies[24] = new CopyPixel( 8, 31, 1, 4 );
    copies[25] = new CopyPixel( 10, 17, 0, 5 );
    copies[26] = new CopyPixel( 9, 16, 0, 5 );
    copies[27] = new CopyPixel( 9, 16, 1, 5 );
    copies[28] = new CopyPixel( 11, 18, 0, 5 );
    copies[29] = new CopyPixel( 11, 18, 1, 5 );
    copies[30] = new CopyPixel( 10, 24, 0, 6 );
    copies[31] = new CopyPixel( 9, 23, 0, 6 );
    copies[32] = new CopyPixel( 9, 23, 1, 6 );
    copies[33] = new CopyPixel( 11, 25, 0, 6 );
    copies[34] = new CopyPixel( 11, 25, 1, 6 );
    copies[35] = new CopyPixel( 13, 5, 0, 7 );
    copies[36] = new CopyPixel( 12, 5, 0, 7 );
    copies[37] = new CopyPixel( 12, 5, 1, 7 );
    copies[38] = new CopyPixel( 14, 5, 0, 7 );
    copies[39] = new CopyPixel( 14, 5, 1, 7 );
    copies[40] = new CopyPixel( 14, 21, 0, 8 );
    copies[41] = new CopyPixel( 14, 20, 0, 8 );
    copies[42] = new CopyPixel( 14, 20, 1, 8 );
    copies[43] = new CopyPixel( 14, 22, 0, 8 );
    copies[44] = new CopyPixel( 14, 22, 1, 8 );
    copies[45] = new CopyPixel( 14, 27, 0, 9 );
    copies[46] = new CopyPixel( 14, 26, 0, 9 );
    copies[47] = new CopyPixel( 14, 26, 1, 9 );
    copies[48] = new CopyPixel( 14, 28, 0, 9 );
    copies[49] = new CopyPixel( 14, 28, 1, 9 );
    copies[50] = new CopyPixel( 14, 33, 0, 10 );
    copies[51] = new CopyPixel( 14, 32, 0, 10 );
    copies[52] = new CopyPixel( 14, 32, 1, 10 );
    copies[53] = new CopyPixel( 14, 34, 0, 10 );
    copies[54] = new CopyPixel( 14, 34, 1, 10 );
    copies[55] = new CopyPixel( 14, 39, 0, 11 );
    copies[56] = new CopyPixel( 14, 38, 0, 11 );
    copies[57] = new CopyPixel( 14, 38, 1, 11 );
    copies[58] = new CopyPixel( 14, 40, 0, 11 );
    copies[59] = new CopyPixel( 14, 40, 1, 11 );
    copies[60] = new CopyPixel( 14, 47, 0, 12 );
    copies[61] = new CopyPixel( 13, 46, 0, 12 );
    copies[62] = new CopyPixel( 13, 46, 1, 12 );
    copies[63] = new CopyPixel( 15, 48, 0, 12 );
    copies[64] = new CopyPixel( 15, 48, 1, 12 );
    copies[65] = new CopyPixel( 14, 51, 0, 13 );
    copies[66] = new CopyPixel( 13, 50, 0, 13 );
    copies[67] = new CopyPixel( 13, 50, 1, 13 );
    copies[68] = new CopyPixel( 15, 52, 0, 13 );
    copies[69] = new CopyPixel( 15, 52, 1, 13 );
    copies[70] = new CopyPixel( 15, 44, 0, 14 );
    copies[71] = new CopyPixel( 14, 43, 0, 14 );
    copies[72] = new CopyPixel( 14, 43, 1, 14 );
    copies[73] = new CopyPixel( 16, 45, 0, 14 );
    copies[74] = new CopyPixel( 16, 45, 1, 14 );
    copies[75] = new CopyPixel( 18, 21, 0, 15 );
    copies[76] = new CopyPixel( 18, 20, 0, 15 );
    copies[77] = new CopyPixel( 18, 20, 1, 15 );
    copies[78] = new CopyPixel( 18, 22, 0, 15 );
    copies[79] = new CopyPixel( 18, 22, 1, 15 );
    copies[80] = new CopyPixel( 18, 27, 0, 16 );
    copies[81] = new CopyPixel( 18, 26, 0, 16 );
    copies[82] = new CopyPixel( 18, 26, 1, 16 );
    copies[83] = new CopyPixel( 18, 28, 0, 16 );
    copies[84] = new CopyPixel( 18, 28, 1, 16 );
    copies[85] = new CopyPixel( 18, 33, 0, 17 );
    copies[86] = new CopyPixel( 18, 32, 0, 17 );
    copies[87] = new CopyPixel( 18, 32, 1, 17 );
    copies[88] = new CopyPixel( 18, 34, 0, 17 );
    copies[89] = new CopyPixel( 18, 34, 1, 17 );
    copies[90] = new CopyPixel( 18, 39, 0, 18 );
    copies[91] = new CopyPixel( 18, 38, 0, 18 );
    copies[92] = new CopyPixel( 18, 38, 1, 18 );
    copies[93] = new CopyPixel( 18, 40, 0, 18 );
    copies[94] = new CopyPixel( 18, 40, 1, 18 );
    copies[95] = new CopyPixel( 19, 5, 0, 19 );
    copies[96] = new CopyPixel( 18, 5, 0, 19 );
    copies[97] = new CopyPixel( 18, 5, 1, 19 );
    copies[98] = new CopyPixel( 20, 5, 0, 19 );
    copies[99] = new CopyPixel( 20, 5, 1, 19 );
    copies[100] = new CopyPixel( 19, 45, 0, 20 );
    copies[101] = new CopyPixel( 19, 44, 0, 20 );
    copies[102] = new CopyPixel( 19, 44, 1, 20 );
    copies[103] = new CopyPixel( 19, 46, 0, 20 );
    copies[104] = new CopyPixel( 19, 46, 1, 20 );
    copies[105] = new CopyPixel( 19, 50, 0, 21 );
    copies[106] = new CopyPixel( 20, 49, 0, 21 );
    copies[107] = new CopyPixel( 20, 49, 1, 21 );
    copies[108] = new CopyPixel( 18, 51, 0, 21 );
    copies[109] = new CopyPixel( 18, 51, 1, 21 );
    copies[110] = new CopyPixel( 20, 53, 0, 22 );
    copies[111] = new CopyPixel( 21, 52, 0, 22 );
    copies[112] = new CopyPixel( 21, 52, 1, 22 );
    copies[113] = new CopyPixel( 19, 54, 0, 22 );
    copies[114] = new CopyPixel( 19, 54, 1, 22 );
    copies[115] = new CopyPixel( 22, 17, 0, 23 );
    copies[116] = new CopyPixel( 23, 16, 0, 23 );
    copies[117] = new CopyPixel( 23, 16, 1, 23 );
    copies[118] = new CopyPixel( 21, 18, 0, 23 );
    copies[119] = new CopyPixel( 21, 18, 1, 23 );
    copies[120] = new CopyPixel( 22, 24, 0, 24 );
    copies[121] = new CopyPixel( 23, 23, 0, 24 );
    copies[122] = new CopyPixel( 23, 23, 1, 24 );
    copies[123] = new CopyPixel( 21, 25, 0, 24 );
    copies[124] = new CopyPixel( 21, 25, 1, 24 );
    copies[125] = new CopyPixel( 22, 45, 0, 25 );
    copies[126] = new CopyPixel( 22, 44, 0, 25 );
    copies[127] = new CopyPixel( 22, 44, 1, 25 );
    copies[128] = new CopyPixel( 22, 46, 0, 25 );
    copies[129] = new CopyPixel( 22, 46, 1, 25 );
    copies[130] = new CopyPixel( 23, 54, 0, 26 );
    copies[131] = new CopyPixel( 24, 53, 0, 26 );
    copies[132] = new CopyPixel( 24, 53, 1, 26 );
    copies[133] = new CopyPixel( 22, 55, 0, 26 );
    copies[134] = new CopyPixel( 22, 55, 1, 26 );
    copies[135] = new CopyPixel( 24, 49, 0, 27 );
    copies[136] = new CopyPixel( 25, 48, 0, 27 );
    copies[137] = new CopyPixel( 25, 48, 1, 27 );
    copies[138] = new CopyPixel( 23, 50, 0, 27 );
    copies[139] = new CopyPixel( 23, 50, 1, 27 );
    copies[140] = new CopyPixel( 25, 6, 0, 28 );
    copies[141] = new CopyPixel( 24, 5, 0, 28 );
    copies[142] = new CopyPixel( 24, 5, 1, 28 );
    copies[143] = new CopyPixel( 26, 7, 0, 28 );
    copies[144] = new CopyPixel( 26, 7, 1, 28 );
    copies[145] = new CopyPixel( 25, 30, 0, 29 );
    copies[146] = new CopyPixel( 26, 29, 0, 29 );
    copies[147] = new CopyPixel( 26, 29, 1, 29 );
    copies[148] = new CopyPixel( 24, 31, 0, 29 );
    copies[149] = new CopyPixel( 24, 31, 1, 29 );
    copies[150] = new CopyPixel( 26, 12, 0, 30 );
    copies[151] = new CopyPixel( 26, 11, 0, 30 );
    copies[152] = new CopyPixel( 26, 11, 1, 30 );
    copies[153] = new CopyPixel( 26, 13, 0, 30 );
    copies[154] = new CopyPixel( 26, 13, 1, 30 );
    copies[155] = new CopyPixel( 26, 18, 0, 31 );
    copies[156] = new CopyPixel( 26, 17, 0, 31 );
    copies[157] = new CopyPixel( 26, 17, 1, 31 );
    copies[158] = new CopyPixel( 26, 19, 0, 31 );
    copies[159] = new CopyPixel( 26, 19, 1, 31 );
    copies[160] = new CopyPixel( 26, 24, 0, 32 );
    copies[161] = new CopyPixel( 26, 23, 0, 32 );
    copies[162] = new CopyPixel( 26, 23, 1, 32 );
    copies[163] = new CopyPixel( 26, 25, 0, 32 );
    copies[164] = new CopyPixel( 26, 25, 1, 32 );
    copies[165] = new CopyPixel( 27, 50, 0, 33 );
    copies[166] = new CopyPixel( 28, 49, 0, 33 );
    copies[167] = new CopyPixel( 28, 49, 1, 33 );
    copies[168] = new CopyPixel( 26, 51, 0, 33 );
    copies[169] = new CopyPixel( 26, 51, 1, 33 );
    copies[170] = new CopyPixel( 29, 54, 0, 34 );
    copies[171] = new CopyPixel( 28, 53, 0, 34 );
    copies[172] = new CopyPixel( 28, 53, 1, 34 );
    copies[173] = new CopyPixel( 30, 55, 0, 34 );
    copies[174] = new CopyPixel( 30, 55, 1, 34 );
    copies[175] = new CopyPixel( 31, 60, 0, 35 );
    copies[176] = new CopyPixel( 31, 59, 0, 35 );
    copies[177] = new CopyPixel( 31, 59, 1, 35 );
    copies[178] = new CopyPixel( 31, 61, 0, 35 );
    copies[179] = new CopyPixel( 31, 61, 1, 35 );
    copies[180] = new CopyPixel( 32, 51, 0, 36 );
    copies[181] = new CopyPixel( 31, 51, 0, 36 );
    copies[182] = new CopyPixel( 31, 51, 1, 36 );
    copies[183] = new CopyPixel( 33, 51, 0, 36 );
    copies[184] = new CopyPixel( 33, 51, 1, 36 );
    copies[185] = new CopyPixel( 33, 47, 0, 37 );
    copies[186] = new CopyPixel( 34, 46, 0, 37 );
    copies[187] = new CopyPixel( 34, 46, 1, 37 );
    copies[188] = new CopyPixel( 32, 48, 0, 37 );
    copies[189] = new CopyPixel( 32, 48, 1, 37 );
    copies[190] = new CopyPixel( 35, 55, 0, 38 );
    copies[191] = new CopyPixel( 34, 55, 0, 38 );
    copies[192] = new CopyPixel( 34, 55, 1, 38 );
    copies[193] = new CopyPixel( 36, 55, 0, 38 );
    copies[194] = new CopyPixel( 36, 55, 1, 38 );
    copies[195] = new CopyPixel( 38, 51, 0, 39 );
    copies[196] = new CopyPixel( 37, 51, 0, 39 );
    copies[197] = new CopyPixel( 37, 51, 1, 39 );
    copies[198] = new CopyPixel( 39, 51, 0, 39 );
    copies[199] = new CopyPixel( 39, 51, 1, 39 );
    copies[200] = new CopyPixel( 39, 46, 0, 40 );
    copies[201] = new CopyPixel( 39, 45, 0, 40 );
    copies[202] = new CopyPixel( 39, 45, 1, 40 );
    copies[203] = new CopyPixel( 39, 47, 0, 40 );
    copies[204] = new CopyPixel( 39, 47, 1, 40 );
    copies[205] = new CopyPixel( 44, 52, 0, 41 );
    copies[206] = new CopyPixel( 43, 51, 0, 41 );
    copies[207] = new CopyPixel( 43, 51, 1, 41 );
    copies[208] = new CopyPixel( 45, 53, 0, 41 );
    copies[209] = new CopyPixel( 45, 53, 1, 41 );
    setCopies( copies );
  }
}
